%define oname Xarchiver
%define prel beta1

Summary:	Xarchiver, a lightweight archiving/compression tool
Name:		xarchiver
Version:	0.5.0
Release:	%mkrel -c %{prel} 1
License:	GPLv2
Group:		Archiving/Compression
URL:		http://xarchiver.xfce.org
Source0:	http://downloads.sourceforge.net/xarchiver/%{name}-%{version}%{prel}.tar.bz2
BuildRequires:	gtk+2-devel
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	binutils
Requires:	unzip
Requires:	zip
Suggests:	arj
Suggests:	p7zip
Suggests:	lha
Suggests:	unrar
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Xarchiver is a GTK+2 only frontend to 7z, zip, rar, tar, bzip2, gzip, arj,
lha, rpm and deb (open and extract only).Xarchiver allows you to create,
add, extract and delete files in the above formats. 7z, zip, rar, arj 
password protected archives are supported.

%prep
%setup -qn %{name}-%{version}%{prel}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root,755)
%{_bindir}/%{name}
%{_docdir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_libdir}/thunar-archive-plugin/xarchiver.tap
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/%{name}/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Tue Aug 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.beta1.1mdv2009.0
+ Revision: 276256
- ressurection of xarchiver, update to new version 0.5.0beta1

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.9-5mdv2009.0
+ Revision: 262241
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.9-4mdv2009.0
+ Revision: 256566
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Dec 20 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-2mdv2008.1
+ Revision: 135444
- fix deps
- suggest some additional archivers

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.9-1mdv2008.1
+ Revision: 120755
- Add BR
- Add a lot of BR
- New release 4.9

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - provide patch 0 (fixes compilation)
    - drop X-MandrivaLinux from desktop file

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-3mdv2008.0
+ Revision: 32837
- s/imagemagick/ImageMagick

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-2mdv2008.0
+ Revision: 32831
- drop old menu style
- drop Source1
- spec file clean


* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 0.4.6-1mdv2007.0
+ Revision: 97289
- Add BuildRequires
- Push Xarchiver
- Import xarchiver

* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 0.4.0-1mdv2007.0
- 0.4.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.9.2-0.beta2.1mdv2007.0
- 0.3.9.2beta2
- drop icon source and use included
- xdg
- cleanup

* Sat May 06 2006 Jerome Soyer <saispo@mandriva.org> 0.3.3-1mdk
- New release 0.3.3

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Fix BuildRequires

* Wed May 03 2006 Jerome Soyer <saispo@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-3mdk
- Fix BuildRequires

* Wed Apr 05 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-2mdk
* Mon Apr 03 2006 Phil <philippe-pierre@lamarelle.org> 0.3.1-2mdk
    - added menus
    - rebuild

* Mon Apr 03 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-1mdk
- RPM From :

 * Sun Apr 02 2006 Phil <philippe-pierre@lamarelle.org> 0.3.1-1mdk
   - removed NEWS (empty file) from %%doc
   - cleaned up xarchiver.spec
   - rebuild
   - xarchiver 0.3.1 initial mdk release

